### Enumeration

# Gegl BablVariant

since: 0.4

#### Declaration

    enum Gegl.BablVariant

#### Description

No description available.

Available since: 0.4

#### Members

`Float`
  No description available.
  - Value: `0`
  - Nickname: `float`
  - Available since: 0.4
`Linear`
  No description available.
  - Value: `1`
  - Nickname: `linear`
  - Available since: 0.4
`Non-linear`
  No description available.
  - Value: `2`
  - Nickname: `non-linear`
  - Available since: 0.4
`Perceptual`
  No description available.
  - Value: `3`
  - Nickname: `perceptual`
  - Available since: 0.4
`Linear-premultiplied`
  No description available.
  - Value: `4`
  - Nickname: `linear-premultiplied`
  - Available since: 0.4
`Perceptual-premultiplied`
  No description available.
  - Value: `5`
  - Nickname: `perceptual-premultiplied`
  - Available since: 0.4
`Linear-premultiplied-if-alpha`
  No description available.
  - Value: `6`
  - Nickname: `linear-premultiplied-if-alpha`
  - Available since: 0.4
`Perceptual-premultiplied-if-alpha`
  No description available.
  - Value: `7`
  - Nickname: `perceptual-premultiplied-if-alpha`
  - Available since: 0.4
`add-alpha`
  No description available.
  - Value: `8`
  - Nickname: `add-alpha`
  - Available since: 0.4